Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portletservice.credentialvault
Interface CredentialTypes

All Superinterfaces:
  CredentialTypes

Deprecated. since 6.0. Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public interface CredentialTypes

extends CredentialTypes

Credential Type definitions. This interfaces holds credential type constants for all types that are per default installed with the portal server.
Those constants can be used to define the class of `Credential` that is returned by the getCredential method call on the CredentialVaultService.
Per default, the following Credential Types are available:

Credential Type constant = respective implementation class in package `com.ibm.wps.portletservice.credentialvault.credentials`

- HTTP_BASIC_AUTH = `HttpBasicAuthCredential`
- HTTP_FORM_BASED_AUTH = `HttpFormBasedAuthCredential`
- LTPA_TOKEN = `LtpaTokenCredential`
- LTPA_TOKEN_PASSIVE = `LtpaTokenPassiveCredential`
- LTPA_TOKEN2 = `LtpaToken2Credential`
- SITE_MINDER_TOKEN = `SiteMinderTokenCredential`
- WEB_SEAL_TOKEN = `WebSealTokenCredential`
- JAVA_MAIL = `JavaMailCredential`
- JAAS_SUBJECT_PASSIVE = `JaasSubjectPassiveCredential<`/li>
- SIMPLE_PASSIVE = `SimplePassiveCredential`
- USER_PASSWORD_PASSIVE = `UserPasswordPassiveCredential`
- BINARY_PASSIVE = `BinaryPassiveCredential`

See Also:
  `CredentialVaultService`

Field Summary

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.CredentialTypes
`BINARY_PASSIVE, HTTP_BASIC_AUTH, HTTP_FORM_BASED_AUTH, JAAS_SUBJECT_PASSIVE, JAVA_MAIL, LTPA_TOKEN, LTPA_TOKEN_PASSIVE, LTPA_TOKEN2, SIMPLE_PASSIVE, SITE_MINDER_TOKEN, USER_PASSWORD_PASSIVE, WEB_SEAL_TOKEN`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD